.dialog {
  position: fixed;
  background: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  opacity: 0;
  transition: opacity 0.5s ease;
  visibility: hidden;
  z-index: 1000;
}
.dialog.active {
  opacity: 1;
  visibility: visible;
}
.dialog.position-left {
  left: 20px;
  top: 50%;
  transform: translateY(-50%);
}
.dialog.position-center {
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.dialog.position-right {
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
}

.info-dialog {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fff;
  padding: 20px;
  width: 100%;
  max-width: 600px;
  height: 65%;
  display: none;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
  border-radius: 25px;
  opacity: 0;
  transition: opacity 0.5s ease;
  z-index: 1100;
}
.info-dialog.active {
  display: block;
  opacity: 1;
}
.info-dialog img {
  max-width: 500px;
  height: 370px;
  margin: 25px 30px;
  border-radius: 6px;
}
.info-dialog .content {
  display: flex;
  flex-direction: row;
  gap: 15px;
}
.info-dialog .text-content {
  flex: 1;
  display: flex;
  flex-direction: column;
  margin-top: 4rem;
}
.info-dialog .text-content p {
  margin-top: 10px;
  font-size: 14px;
}
.info-dialog .close {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
  margin-right: 10px;
  font-size: 3rem;
  font-weight: 500;
  color: #6b7280;
  transition: color 0.3s;
}
